Upsert record
Create or update a record based on unique values.
Overview
Upsert a record to keep data from another system current in Unify. A matching record is updated. If no record matches, a new record is created. The request body accepts the following properties which specify how to create or update the record:match and one of create, create_or_update, or create_or_update_if_empty.
All other properties are optional.
Examples
SetUNIFY_API_KEY to your API key.
Keep company data current
Keep company data current
Fill missing person and company details
Fill missing person and company details
create_or_update_if_empty to preserve populated attributes. In this
example, both the person and the referenced company are created if needed:null. The response returns the resulting
record in data.Sync a custom record
Sync a custom record
product_user object with a unique user_id, use the external user’s ID
as the match key:Authorizations
Path Parameters
The API name of an object, e.g. company, person, opportunity, or a
custom object's API name.
Query Parameters
Validation mode for request data.
strict: Reject requests if any attribute is invalid or unrecognized.ignore_invalid: Ignore unknown attributes and omit invalid values for optional attributes. Reject requests with an invalid body structure or invalid required attributes.
strict, ignore_invalid Body
Request body for upserting a record.
At least one of create, create_or_update, or create_or_update_if_empty
must be provided. Together, these properties must include all required
attributes.
Attribute values used to find an existing record. Include at least one unique attribute. Additional attributes narrow the match.
Attribute values used when no record matches. These take precedence over other creation values.
Attribute values used when a record matches. These take precedence over other update values.
Attribute values applied to a matching record only where the existing
value is null. Values in update and create_or_update take
precedence.
Attribute values used for both creation and updates. Values in create
or update take precedence.
Attribute values used for creation, or for updates where the existing
value is null. Values in all other properties take precedence.